%define extra_builds gtk-thinice-theme-1.0.3 notif2-1.0 raleigh-0.2

Summary: Theme engines for GTK+.
Name: gtk-engines
Version: 0.10
Release: 12
Epoch: 1
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/source/gtk-engines/gtk-engines-%{PACKAGE_VERSION}.tar.gz
Source1: GTKstep.tar.gz
Source2: Notif2-1.0.tar.gz
Source3: ThinIce.tar.gz
Source15: raleigh-0.2.tar.gz

# Some extra themes from gtk.themes.org
Source4: Basic.tar.gz
Source5: BeOS.tar.gz
Source6: Blue-n-Gray.tar.gz
Source7: BrushedMetalClean.tar.gz
Source8: Cheese.tar.gz
Source9: Forest-Green.tar.gz
Source10: Gradient.tar.gz
Source11: Macos-Blue-8.6.tar.gz
Source12: QNX-Photon.tar.gz
Source13: Quiet.tar.gz
Source14: Smoke.tar.gz

Patch1: gtk-engines-0.10-nohome.patch

Requires: gtk+ >= 1.2.8-9
BuildPrereq: gtk+-devel >= 1.2.8-9

Url: http://gtk.themes.org
BuildRoot:/var/tmp/gtk-engines-%{PACKAGE_VERSION}-root

%description
The gtk-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines.  Theme engines
provide different looks for GTK+, so that it can resemble other
toolkits or operating systems.  The gtk-engines package contains
graphical engines for various GTK+ toolkit themes, including Notif,
Redmond95, and Metal (swing-like).

%prep
%setup -q -a 2 -a 3 -a 4 -a 5 -a 6 -a 15

%patch1 -p1 -b .nohome

%build
libtoolize --force
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" %configure
make
for I in `echo %{extra_builds}`; do
	cd $I
	libtoolize --force
	aclocal
	automake
	autoconf
	CFLAGS="$RPM_OPT_FLAGS" %configure --cache-file=../config.cache
	make
	cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
#
# makefile is broken, sets exec_prefix explicitely.
#
%makeinstall

for I in `echo %{extra_builds}`; do
	cd $I
	%makeinstall
	cd ..
done

for I in Basic BeOS Blue-n-Gray BrushedMetalClean Cheese \
Forest-Green Gradient Macos-Blue-8.6 QNX-Photon Quiet; do
	tar -C $RPM_BUILD_ROOT%{_prefix}/share/themes -xzf $RPM_SOURCE_DIR/$I.tar.gz
done

(cd $RPM_BUILD_ROOT%{_prefix}/share/themes;
# Here's where I get to give themes dumb names because of possible
# trademarks
mv QNX-Photon LightSpeed
mv macos8.6-blue MockMack
mv BeOS BeCool
)

# remove backup files that shouldn't be here.  Fix me.
find $RPM_BUILD_ROOT%{_prefix}/share/themes -name \*~ | xargs rm -rvf

# No, we don't need to package these either
find $RPM_BUILD_ROOT%{_prefix}/share/themes -type d -name ".xvpics" | xargs rm -rvf

# sanitize permissions
find $RPM_BUILD_ROOT%{_prefix}/share/themes -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_prefix}/share/themes -type f -name "*.png" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_prefix}/share/themes -name "gtkrc*" -perm +111 -exec chmod 644 {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc COPYING README ChangeLog
%attr (755, root, root) %{_prefix}/lib/gtk/themes/engines/*
%{_prefix}/share/themes/*

%changelog
* Sat Feb 10 2001 Owen Taylor <otaylor@redhat.com>
- New, slightly improved version of Raleigh

* Sun Feb 04 2001 Owen Taylor <otaylor@redhat.com>
- Require as well as BuildPrereq a sufficiently new GTK+ package.

* Wed Jan 17 2001 Owen Taylor <otaylor@redhat.com>
- remove references to /home/raster from a couple of themes

* Tue Nov 21 2000 Owen Taylor <otaylor@redhat.com>
- Add 'Raleigh' theme

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Owen Taylor <otaylor@redhat.com>
- Go back to real gtk-engines-0.10.tar.gz instead of hosed
  cvs snapshot that someone had inserted.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Dave Mason <dcm@redhat.com>
- Removed many themes to speed up control center and get rid of ugly themes

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- defattr files 644 and dirs 755, list attr of 755 for libraries explicitly
- use %%makeinstall
- remove spec file stupidism (defining docdir, using own prefix macro, rel, ver, etc)

* Tue May 16 2000 Dave Mason <dcm@redhat.com>
- fixed Tiger, RatsTheme, OldWood, and LCD themes as they had no gtk subdirectory

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- sanitize various things (permissions, .xv thumbnails)

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- remove backup files from package

* Tue Jan 25 2000 Owen Taylor <otaylor@redhat.com>
- Update to 0.10 (fixing problem with text in eventboxes
  becoming garbled)

* Wed Sep 15 1999 Elliot Lee <sopwith@redhat.com>
- Misc fixes from DrMike suggestions

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Update to 0.6, etc.

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
